#ifndef _DSTATM_H
#define _DSTATM_H


#include <dnpap.h>
#include <snmp.h>


BOOLEAN DnpapEtherStatsMInit(VOID);

WORD DnpapEtherStatsIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsDataSource (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsDropEvents (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsOctets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsBroadcastPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsMulticastPkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsCRCAlignErrors (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsUndersizePkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsOversizePkts (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsFragments (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsJabbers (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsCollisions (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts64Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts65to127Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts128to255Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts256to511Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts512to1023Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsPkts1024to1518Octets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsIATNrBuckets (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsIATInterval (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsOwner (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsStatus (SNMP_OBJECT *Obj, WORD IdLen);

WORD DnpapEtherStatsIATIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsIATBucketIndex (SNMP_OBJECT *Obj, WORD IdLen);
WORD DnpapEtherStatsIATIntervalPkts (SNMP_OBJECT *Obj, WORD IdLen);


#endif
